<template>
    <div>
        <b-modal id="guidePopup" ref="guideView" hide-footer size="xl" :title="$parent.campusData.guide.guide_title">
            <div class="campusGuideBanner" v-if="$parent.campusData.guide.image != ''">
                <img :src="'https://s3.amazonaws.com/rcp-prod-uploads/guide-images/'+$parent.campusData.guide.image" :alt="this.$parent.campusData.guide.guide_title">
                <div class="bannerGuideCaption">
                    <h2>{{this.$parent.campusData.guide.guide_title}}</h2>
                    <p>{{this.$parent.campusData.guide.guide_description}} </p>
                </div>
            </div>
            <b-container>
                <b-row>
                    <b-tabs content-class="mt-3">
                        <b-tab :title="'Renting at '+$parent.campusData.campus.title" active>
                            <b-col>
                                <div v-html="$parent.campusData.guide.rent"></div>
                            </b-col>
                            <hr>
                            <b-col>
                                <div class="my-5" v-if="$parent.campusData.neighborhoods.length">
                                    <div class="text-center">
                                        <h3>NEIGHBORHOODS</h3>
                                    </div>
                                    <b-row>
                                        <b-col lg="3" md="6" v-for="neighborhood in $parent.campusData.neighborhoods">
                                            <div class="niegbourhoodCol">
                                                <div class="nImg">
                                                    <img :src="'https://s3.amazonaws.com/rcp-prod-uploads/neighborhoods_images/'+neighborhood.image" :alt="neighborhood.title">
                                                </div>
                                                <h6>{{neighborhood.title}}</h6>
                                                <div class="shrink"><div v-html="neighborhood.desc"></div></div>
                                                <a href="javascript:void(0)" class="read_more">
                                                    Read more
                                                </a>
                                            </div>
                                        </b-col>
                                    </b-row>
                                </div>
                                <div class="my-5" v-show="$parent.campusData.landlords.length > 0">
                                    <div class="text-center">
                                        <h3>LANDLORDS NEAR {{$parent.campusData.campus.title}}</h3>
                                        <b-col md="5" class="mx-auto">
                                            <div class="neighbours">
                                                <b-form-select @change="landlordPage($event)">
                                                    <b-form-select-option >SELECT LANDLORD</b-form-select-option>
                                                    <b-form-select-option  :value="landlord" v-for="landlord in $parent.campusData.landlords">{{landlord}}</b-form-select-option>
                                                </b-form-select>
                                            </div>
                                        </b-col>
                                    </div>
                                </div>
                            </b-col>
                        </b-tab>
                        <b-tab :title="'Life at '+$parent.campusData.campus.title">
                            <b-col>
                               <div v-html="$parent.campusData.guide.life"></div>
                            <b-col v-show="$parent.campusData.landlords.length > 0">
                                <div class="my-5">
                                    <div class="text-center">
                                        <h3>LANDLORDS NEAR {{$parent.campusData.campus.title}}</h3>
                                        <b-col md="5" class="mx-auto">
                                            <div class="neighbours">
                                                <b-form-select @change="landlordPage($event)">
                                                    <b-form-select-option >SELECT LANDLORD</b-form-select-option>
                                                    <b-form-select-option  :value="landlord" v-for="landlord in $parent.campusData.landlords">{{landlord}}</b-form-select-option>
                                                </b-form-select>
                                            </div>
                                        </b-col>
                                    </div>
                                </div>
                            </b-col>
                        </b-tab>
                        <b-tab :title="$parent.campusData.guide.houses_title" @click="openLink($parent.campusData.guide.houses_link)">
                        </b-tab>
                        <b-tab :title="$parent.campusData.guide.apartments_title" @click="openLink($parent.campusData.guide.apartments_link)">
                        </b-tab>
                    </b-tabs>
                </b-row>
            </b-container>
        </b-modal>
    </div>
</template>


<script>
    module.exports = {
        name: "GuidePopup",
        methods:{
            landlordPage(event){

                window.location.href = this.$root.server_path+'landlords/'+this.$root.campusData.campus.name+'/'+event.toLowerCase();

            },
            openLink(link){
                window.open(link, "_blank");
            }
        }
    }
</script>
<style>
    #guidePopup .modal-content{border-radius: 0;border: 0;}
    #guidePopup .modal-header{text-align: center;background: #23ce60;position: relative;    border-radius: 0;}
    #guidePopup .modal-header h5{font-weight: 500;color: #fff;font-size: 1.5rem;margin: 0 auto;width: 100%;}
    #guidePopup .modal-header .close{position: absolute;top: 0;left: calc(100% - 15px);padding: 3px 8px 4px;color: #fff;opacity: 1;font-weight: 500;font-size: 1.5rem;background: #000;border-radius: 50%;}
    #guidePopup .modal-body{padding: 0}
    .campusGuideBanner {width: 100%;position: relative;margin-bottom: 15px;}
    .campusGuideBanner img {width: 100%;height: 100%;position: absolute;top: 0;left: 0;right: 0;bottom: 0;object-fit: cover}
    .bannerGuideCaption{min-height: 400px;display: flex;flex-direction: column;justify-content: flex-end;position: relative;z-index: 5;padding: 2rem 0;}
    .bannerGuideCaption h2 {color: #fff;font-size: 2rem;text-align: center;text-transform: capitalize;}
    .bannerGuideCaption p{color: #fff;font-size: 15px;text-align: center;}
    #guidePopup .nav-tabs .nav-link{color: #23ce60;font-weight: 500;}
    #guidePopup .tab-content{padding: 0 15px}
    #guidePopup .tab-content h3{padding: 0 0 7px;color: #0d0d0d;margin: 10px 0;width: 100%;font-size: 18px;position: relative;line-height: 20px;display: inline-block}
    #guidePopup .tab-content h3:after{content: "";width: 133px;height: 1px;background: #23ce60;position: absolute;top: 100%;left: 0}
    #guidePopup .tab-content p{margin: 0 0 10px;font-size: 0.85rem;color: #0d0d0d;}
    #guidePopup .tab-content ul li{font-size: 14px}
    #guidePopup .tab-content .text-center h3:after{right: 0;margin: 0 auto}
    .neighbours{padding: 20px;border: 1px solid #e1e1e1;margin: 25px 0}
    #guidePopup .tab-content h5{font-size: 0.85rem}
    #guidePopup table {width: 40%;text-align: center;margin: 0 auto 10px;height: auto!important;}
    #guidePopup table thead tr {border-bottom: 1px solid #000;}
    #guidePopup table td, #guidePopup table th {text-align: center;padding: 5px;height: 20px;border: 1px solid #ddd;font-size: 0.85rem}
    #guidePopup table th {background: #eee;}
    .niegbourhoodCol {padding: 10px;border: 1px solid #ddd;margin: 2em 0 0;height: calc(100% - 2rem)}
    .niegbourhoodCol .nImg {margin: -10px -10px 0;height: 315px;position: relative;}
    .niegbourhoodCol .nImg img{height: 100%;width: 100%;object-fit: cover;}
    .niegbourhoodCol h6 {font-size: 16px;color: #000;margin: 15px 0 5px;}
    .niegbourhoodCol p {max-height: 80px;overflow: hidden;}
    .niegbourhoodCol a{color: #23ce60}

</style>
